Library Version 11.2.5.3

swap
Prev | Chapter 8. Db_multiset | Next

## swap

### Function Details

    void swap(db_multiset< kdt, value_type_sub > &mp,
        bool b_truncate=true)

Swap content with another container.

This function supports auto-commit.

#### Parameters

##### b_truncate

See db_multimap::swap() for details.

##### mp

The container to swap content with.

#### See Also

db_map::swap() db_vector::clear()

### Class

db_multiset

Prev | Up | Next
operator= | Home | operator==